Upstream information

CVE-2015-5191 at MITRE

Description

VMware Tools prior to 10.0.9 contains multiple file system races in libDeployPkg, related to the use of hard-coded paths under /tmp. Successful exploitation of this issue may result in a local privilege escalation. CVSS:3.0/AV:L/AC:H/PR:L/UI:R/S:U/C:H/I:H/A:H

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.7 6.6
Vector AV:L/AC:H/Au:N/C:P/I:P/A:P AV:L/AC:M/Au:S/C:C/I:C/A:C
Access Vector Local Local
Access Complexity High Medium
Authentication None Single
Confidentiality Impact Partial Complete
Integrity Impact Partial Complete
Availability Impact Partial Complete
SUSE Bugzilla entry: 1007600 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libvmtools0 >= 10.1.0-5.3.1
  • open-vm-tools >= 10.1.0-5.3.1
  • open-vm-tools-desktop >= 10.1.0-5.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-384
SUSE Linux Enterprise Desktop 12 SP2
  • libvmtools0 >= 10.1.0-8.1
  • open-vm-tools >= 10.1.0-8.1
  • open-vm-tools-desktop >= 10.1.0-8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-382
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
  • libvmtools0 >= 10.1.5-2.17
  • open-vm-tools >= 10.1.5-2.17
  • open-vm-tools-desktop >= 10.1.5-2.17
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • libvmtools0 >= 10.3.0-2.6
  • open-vm-tools >= 10.3.0-2.6
  • open-vm-tools-desktop >= 10.3.0-2.6
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libvmtools0 >= 10.3.10-4.12.1
  • open-vm-tools >= 10.3.10-4.12.1
  • open-vm-tools-desktop >= 10.3.10-4.12.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libvmtools-devel >= 10.3.10-1.10
  • libvmtools0 >= 10.3.10-1.10
  • open-vm-tools >= 10.3.10-1.10
SUSE Linux Enterprise Module for Basesystem 15
  • libvmtools-devel >= 10.2.5-1.27
  • libvmtools0 >= 10.2.5-1.27
  • open-vm-tools >= 10.2.5-1.27
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • open-vm-tools-desktop >= 10.3.10-1.10
SUSE Linux Enterprise Module for Desktop Applications 15
  • open-vm-tools-desktop >= 10.2.5-1.27
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libvmtools0 >= 10.1.0-7.1
  • open-vm-tools >= 10.1.0-7.1
  • open-vm-tools-desktop >= 10.1.0-7.1
Patchnames:
slessp4-open-vm-tools-13024
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libvmtools0 >= 10.1.0-5.3.1
  • open-vm-tools >= 10.1.0-5.3.1
  • open-vm-tools-desktop >= 10.1.0-5.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-384
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libvmtools0 >= 10.1.0-8.1
  • open-vm-tools >= 10.1.0-8.1
  • open-vm-tools-desktop >= 10.1.0-8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-382
openSUSE Leap 15.0
  • libvmtools0 >= 10.2.5-lp150.1.1
  • open-vm-tools >= 10.2.5-lp150.1.1
  • open-vm-tools-desktop >= 10.2.5-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libvmtools0
openSUSE Leap 42.1
  • libvmtools-devel >= 10.1.0-6.1
  • libvmtools0 >= 10.1.0-6.1
  • libvmtools0-debuginfo >= 10.1.0-6.1
  • open-vm-tools >= 10.1.0-6.1
  • open-vm-tools-debuginfo >= 10.1.0-6.1
  • open-vm-tools-debugsource >= 10.1.0-6.1
  • open-vm-tools-desktop >= 10.1.0-6.1
  • open-vm-tools-desktop-debuginfo >= 10.1.0-6.1
Patchnames:
openSUSE-2017-276
openSUSE Leap 42.2
  • libvmtools-devel >= 10.1.0-3.1
  • libvmtools0 >= 10.1.0-3.1
  • libvmtools0-debuginfo >= 10.1.0-3.1
  • open-vm-tools >= 10.1.0-3.1
  • open-vm-tools-debuginfo >= 10.1.0-3.1
  • open-vm-tools-debugsource >= 10.1.0-3.1
  • open-vm-tools-desktop >= 10.1.0-3.1
  • open-vm-tools-desktop-debuginfo >= 10.1.0-3.1
Patchnames:
openSUSE-2017-385
openSUSE Leap 42.3
  • libvmtools0 >= 10.1.5-2.1
  • open-vm-tools >= 10.1.5-2.1
  • open-vm-tools-desktop >= 10.1.5-2.1
Patchnames:
openSUSE Leap 42.3 GA libvmtools0
openSUSE Tumbleweed
  • libvmtools-devel >= 10.1.0-1.1
  • libvmtools0 >= 10.1.0-1.1
  • open-vm-tools >= 10.1.0-1.1
  • open-vm-tools-desktop >= 10.1.0-1.1
Patchnames:
openSUSE Tumbleweed GA libvmtools-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 open-vm-tools Released
SUSE Linux Enterprise Desktop 12 SP2 open-vm-tools Released
SUSE Linux Enterprise Server 11 SP4 open-vm-tools Released
SUSE Linux Enterprise Server 12 LTSS open-vm-tools Unsupported
SUSE Linux Enterprise Server 12 SP1 open-vm-tools Released
SUSE Linux Enterprise Server 12 SP2 open-vm-tools Released